
name = process-instance
file = mpvnet
directory = General
help = Defines if more then one mpv.net process is allowed.\nMulti can alternatively be enabled by pressing the SHIFT key. (mpv.net option)
default = single
option = multi   Create a new process everytime the shell starts mpv.net
option = single  Force a single process everytime the shell starts mpv.net
option = queue   Force a single process and add files to playlist

name = recent-count
file = mpvnet
directory = General
help = <int> Amount of recent files to be remembered. Default: 15 (mpv.net option)

name = media-info
file = mpvnet
directory = General
help = Usage of the media info library instead of mpv to retrieve media information. (mpv.net option)
default = yes
option = yes
option = no

name = video-file-extensions
file = mpvnet
directory = General
width = 500
help = Video file extensions used to create file associations and used by the auto-load-folder feature. (mpv.net option)

name = audio-file-extensions
file = mpvnet
directory = General
width = 500
help = Audio file extensions used to create file associations and used by the auto-load-folder feature. (mpv.net option)

name = image-file-extensions
file = mpvnet
directory = General
width = 500
help = Image file extensions used to create file associations and used by the auto-load-folder feature. (mpv.net option)

name = menu-syntax
file = mpvnet
directory = General
help = Used menu syntax for defining the context menu in input.conf.\nmpv.net by default uses '#menu:', uosc uses '#!' by default.

name = video-sync
file = mpv
directory = General
help = How the player synchronizes audio and video.\n\nFor more information visit:
url = https://mpv.io/manual/master/#options-video-sync
default = audio
option = audio
option = display-resample
option = display-resample-vdrop
option = display-resample-desync
option = display-vdrop
option = display-adrop
option = display-desync
option = desync

name = debug-mode
file = mpvnet
directory = General
help = Enable this only when a developer asks for it. (mpv.net option)
default = no
option = yes
option = no

name = vo
file = mpv
directory = Video
help = Video output drivers to be used.\n\nFor more information visit:
url = https://mpv.io/manual/master/#video-output-drivers-vo
default = gpu
option = gpu       General purpose, customizable, GPU-accelerated video output driver. It supports extended scaling methods, dithering, color management, custom shaders, HDR, and more.
option = gpu-next  Experimental video renderer based on libplacebo. This supports almost the same set of features as --vo=gpu.
option = direct3d  Video output driver that uses the Direct3D interface.

name = hwdec
file = mpv
directory = Video
url = https://mpv.io/manual/master/#options-hwdec
help = Specify the hardware video decoding API that should be used if possible. Whether hardware decoding is actually done depends on the video codec. If hardware decoding is not possible, mpv will fall back on software decoding. Hardware decoding is disabled by default to maintain reliability. However, modern hardware should support hardware video decoding, reducing CPU usage and power consumption.\n\nFor more information visit:
default = no
option = no            always use software decoding
option = auto          enable best hw decoder
option = yes           exactly the same as auto
option = auto-copy     enable best hw decoder with copy-back
option = auto-safe     enable any whitelisted hw decoder
option = dxva2         requires vo=gpu with gpu-context=d3d11, gpu-context=angle or gpu-context=dxinterop
option = dxva2-copy    copies video back to system RAM
option = d3d11va       requires vo=gpu with gpu-context=d3d11 or gpu-context=angle
option = d3d11va-copy  copies video back to system RAM
option = cuda          requires vo=gpu (Any platform CUDA is available)
option = cuda-copy     copies video back to system RAM
option = nvdec         requires vo=gpu (Any platform CUDA is available)
option = nvdec-copy    copies video back to system RAM

name = gpu-api
file = mpv
directory = Video/Render Options
help = Controls which type of graphics APIs will be accepted. On Windows this defaults to d3d11 and should not be changed without a good reason.
default = auto
option = auto    Use any available API
option = d3d11   Allow only gpu-context=d3d11
option = opengl  Allow only OpenGL (requires OpenGL 2.1+ or GLES 2.0+)
option = vulkan  Allow only Vulkan

name = gpu-context
file = mpv
directory = Video/Render Options
default = auto
option = auto       auto-select
option = d3d11      Win32, with native Direct3D 11 rendering.
option = angle      Direct3D11 through the OpenGL ES translation layer ANGLE. This supports almost everything the win backend does (if the ANGLE build is new enough).
option = win        Win32/WGL
option = dxinterop  (experimental) Win32, using WGL for rendering and Direct3D 9Ex for presentation. Works on Nvidia and AMD. Newer Intel chips with the latest drivers may also work.
option = winvk      VK_KHR_win32_surface

name = scale
file = mpv
directory = Video/Render Options/Scaling
help = The GPU renderer filter function to use when upscaling video. There are some more filters, but most are not as useful. For a complete list, pass help as value, e.g.: mpv --scale=help
url = https://mpv.io/manual/master/#options-scale
default = lanczos
option = bilinear
option = spline36
option = lanczos
option = ewa_lanczos
option = ewa_lanczossharp
option = mitchell
option = oversample

name = cscale
file = mpv
directory = Video/Render Options/Scaling
help = As scale, but for interpolating chroma information. If the image is not subsampled, this option is ignored entirely.
url = https://mpv.io/manual/master/#options-cscale
default = bilinear
option = bilinear
option = spline36
option = lanczos
option = ewa_lanczos
option = ewa_lanczossharp
option = mitchell
option = oversample

name = dscale
file = mpv
directory = Video/Render Options/Scaling
help = Like scale, but apply these filters on downscaling instead. \nIf no option is selected, it will keep the same with the upscaler.
url = https://mpv.io/manual/master/#options-dscale
default = lanczos
option = bilinear
option = spline36
option = lanczos
option = ewa_lanczos
option = ewa_lanczossharp
option = mitchell
option = oversample

name = correct-downscaling
file = mpv
directory = Video/Render Options/Scaling
help = When using convolution based filters, extend the filter size when downscaling. Increases quality, but reduces performance while downscaling.\n\nThis will perform slightly sub-optimally for anamorphic video (but still better than without it) since it will extend the size to match only the milder of the scale factors between the axes.
default = no
option = yes
option = no

name = sigmoid-upscaling
file = mpv
directory = Video/Render Options/Scaling
help = When upscaling, use a sigmoidal color transform to avoid emphasizing ringing artifacts. This also implies linear-scaling.
default = no
option = yes
option = no

name = dither-depth
file = mpv
directory = Video/Render Options
help = Set dither target depth to N. Note that the depth of the connected video display device cannot be detected. Often, LCD panels will do dithering on their own, which conflicts with this option and leads to ugly output.
default = no
option = no    Disable any dithering done by mpv.
option = auto  Automatic selection. If output bit depth cannot be detected, 8 bits per component are assumed.
option = 8     Dither to 8 bit output.
option = 10    Dither to 10 bit output.

name = deband
file = mpv
directory = Video/Render Options
help = Enable the debanding algorithm. This greatly reduces the amount of visible banding, blocking and other quantization artifacts, at the expense of very slightly blurring some of the finest details. In practice, it's virtually always an improvement - the only reason to disable it would be for performance.
default = no
option = yes
option = no

name = hdr-compute-peak
file = mpv
directory = Video/Render Options
url = https://mpv.io/manual/master/#options-hdr-compute-peak
default = auto
option = auto
option = yes
option = no

name = allow-delayed-peak-detect
file = mpv
directory = Video/Render Options
url = https://mpv.io/manual/master/#options-allow-delayed-peak-detect
default = yes
option = yes
option = no

name = d3d11va-zero-copy
file = mpv
directory = Video/Render Options
url = https://mpv.io/manual/master/#options-d3d11va-zero-copy
default = no
option = yes
option = no

name = background
file = mpv
directory = Video/Render Options
help = Color used to draw parts of the mpv window not covered by video. See the --sub-color option for how colors are defined.

name = libplacebo-opts
file = mpv
directory = Video/Render Options
help = Passes extra raw option to the libplacebo rendering backend (used by --vo=gpu-next). May override the effects of any other options set using the normal options system.

name = preset
file = libplacebo
directory = Video/libplacebo
help = Override all libplacebo options by the values from the given preset.
url = https://libplacebo.org/options/#presetdefaultfasthigh_quality
default = default
option = default  Default settings, tuned to provide a balance of performance and quality.
option = fast  Disable all advanced rendering, equivalent to passing no to every option.
option = high_quality  Reset all everything to high quality presets (where available).

name = upscaler
file = libplacebo
directory = Video/libplacebo/Scaling
help = Sets the filter used for upscaling.
url = https://libplacebo.org/options/#upscalerfilter
option-name-width = 135
default = lanczos
option = none  No filter, only use basic GPU texture sampling.
option = nearest  Nearest-neighbour (box) sampling (very fast).
option = bilinear  Bilinear sampling (very fast).
option = oversample  Aspect-ratio preserving nearest neighbour sampling (very fast).
option = bicubic  Bicubic interpolation (fast).
option = gaussian  Gaussian smoothing (fast).
option = catmull_rom  Catmull-Rom cubic spline.
option = lanczos  Lanczos reconstruction.
option = ewa_lanczos  EWA Lanczos ("Jinc") reconstruction (slow).
option = ewa_lanczossharp  Sharpened version of ewa_lanczos (slow).
option = ewa_lanczos4sharpest  Very sharp version of ewa_lanczos, with anti-ringing (very slow).

name = downscaler
file = libplacebo
directory = Video/libplacebo/Scaling
help = Sets the filter used for downscaling. The most relevant options, roughly ordered from fastest to slowest.
default = hermite
option = none         Use the same filter as specified for upscaler
option = box          Box averaging (very fast)
option = hermite      Hermite-weighted averaging (fast)
option = bilinear     Bilinear (triangle) averaging (fast)
option = bicubic      Bicubic interpolation (fast)
option = gaussian     Gaussian smoothing (fast)
option = catmull_rom  Catmull-Rom cubic spline
option = mitchell     Mitchell-Netravalia cubic spline
option = lanczos      Lanczos reconstruction

name = plane_upscaler
file = libplacebo
directory = Video/libplacebo/Scaling
help = Override the filter used for upscaling planes, e.g. chroma/alpha. If set to none, use the same setting as upscaler, respectively.
default = none
option = none         Use the same filter as specified for upscaler
option = box          Box averaging (very fast)
option = hermite      Hermite-weighted averaging (fast)
option = bilinear     Bilinear (triangle) averaging (fast)
option = bicubic      Bicubic interpolation (fast)
option = gaussian     Gaussian smoothing (fast)
option = catmull_rom  Catmull-Rom cubic spline
option = mitchell     Mitchell-Netravalia cubic spline
option = lanczos      Lanczos reconstruction

name = plane_downscaler
file = libplacebo
directory = Video/libplacebo/Scaling
help = Override the filter used for downscaling planes, e.g. chroma/alpha. If set to none, use the same setting as downscaler, respectively.
default = none
option = none         Use the same filter as specified for upscaler
option = box          Box averaging (very fast)
option = hermite      Hermite-weighted averaging (fast)
option = bilinear     Bilinear (triangle) averaging (fast)
option = bicubic      Bicubic interpolation (fast)
option = gaussian     Gaussian smoothing (fast)
option = catmull_rom  Catmull-Rom cubic spline
option = mitchell     Mitchell-Netravalia cubic spline
option = lanczos      Lanczos reconstruction

name = frame_mixer
file = libplacebo
directory = Video/libplacebo/Scaling
help = Sets the filter used for frame mixing (temporal interpolation). Roughly ordered from fastest to slowest.
default = oversample
option = none        Disable frame mixing, show nearest frame to target PTS
option = oversample  Oversampling, only mix "edge" frames while preserving FPS
option = hermite     Hermite-weighted frame mixing
option = linear      Linear frame mixing
option = cubic       Cubic B-spline frame mixing

name = antiringing_strength
file = libplacebo
directory = Video/libplacebo/Scaling
help = <0.0..1.0> Antiringing strength to use for all filters. A value of 0.0 disables antiringing, and a value of 1.0 enables full-strength antiringing. Defaults to 0.0.

name = deband
file = libplacebo
directory = Video/libplacebo/Debanding
help = Enables debanding using libplacebo.
default = no
option = yes
option = no

name = deband_preset
file = libplacebo
directory = Video/libplacebo/Debanding
help = Overrides the value of all options in this section by their default values from the given preset.
default = none
option = none
option = default

name = deband_iterations
file = libplacebo
directory = Video/libplacebo/Debanding
help = <0..16> The number of debanding steps to perform per sample. Each step reduces a bit more banding, but takes time to compute. Note that the strength of each step falls off very quickly, so high numbers (>4) are practically useless. Defaults to 1.

name = deband_threshold
file = libplacebo
directory = Video/libplacebo/Debanding
help = <0.0..1000.0> The debanding filter's cut-off threshold. Higher numbers increase the debanding strength dramatically, but progressively diminish image details. Defaults to 3.0.

name = deband_radius
file = libplacebo
directory = Video/libplacebo/Debanding
help = <0.0..1000.0> The debanding filter's initial radius. The radius increases linearly for each iteration. A higher radius will find more gradients, but a lower radius will smooth more aggressively. Defaults to 16.0.

name = deband_grain
file = libplacebo
directory = Video/libplacebo/Debanding
help = <0.0..1000.0> Add some extra noise to the image. This significantly helps cover up remaining quantization artifacts. Higher numbers add more noise. Defaults to 4.0, which is very mild.

name = sigmoid
file = libplacebo
directory = Video/libplacebo/Sigmoidization
help = Enables sigmoidization.
default = yes
option = yes
option = no

name = sigmoid_preset
file = libplacebo
directory = Video/libplacebo/Sigmoidization
help = Overrides the value of all options in this section by their default values from the given preset.
default = none
option = none
option = default

name = sigmoid_center
file = libplacebo
directory = Video/libplacebo/Sigmoidization
help = <0.0..1.0> The center (bias) of the sigmoid curve. Defaults to 0.75.

name = sigmoid_slope
file = libplacebo
directory = Video/libplacebo/Sigmoidization
help = <1.0..20.0> The slope (steepness) of the sigmoid curve. Defaults to 6.5.

name = color_adjustment
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = Enables color adjustment.
default = yes
option = yes
option = no

name = color_adjustment_preset
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = Overrides the value of all options in this section by their default values from the given preset.
default = none
option = none
option = neutral

name = brightness
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = <-1.0..1.0> Brightness boost. Adds a constant bias onto the source luminance signal. 0.0 = neutral, 1.0 = solid white, -1.0 = solid black. Defaults to 0.0.

name = contrast
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = <0.0..100.0> Contrast gain. Multiplies the source luminance signal by a constant factor. 1.0 = neutral, 0.0 = solid black. Defaults to 1.0.

name = saturation
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = <0.0..100.0> Saturation gain. Multiplies the source chromaticity signal by a constant factor. 1.0 = neutral, 0.0 = grayscale. Defaults to 1.0.

name = hue
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = <angle> Hue shift. Corresponds to a rotation of the UV subvector around the neutral axis. Specified in radians. Defaults to 0.0 (neutral).

name = gamma
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = <0.0..100.0> Gamma lift. Subjectively brightnes or darkens the scene while preserving overall contrast. 1.0 = neutral, 0.0 = solid black. Defaults to 1.0.

name = temperature
file = libplacebo
directory = Video/libplacebo/Color Adjustment
help = <-1.143..5.286> Color temperature shift. Relative to 6500 K, a value of 0.0 gives you 6500 K (no change), a value of -1.0 gives you 3000 K, and a value of 1.0 gives you 10000 K. Defaults to 0.0.

name = peak_detect
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
help = Enables HDR peak detection.
default = yes
option = yes
option = no

name = peak_detection_preset
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
help = Overrides the value of all options in this section by their default values from the given preset. high_quality also enables frame histogram measurement.
default = none
option = none
option = default
option = high_quality

name = peak_smoothing_period
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
help = <0.0..1000.0> Smoothing coefficient for the detected values.
url = https://libplacebo.org/options/#peak_smoothing_period0010000

name = scene_threshold_low
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
url = https://libplacebo.org/options/#scene_threshold_low001000-scene_threshold_high001000

name = scene_threshold_high
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
url = https://libplacebo.org/options/#scene_threshold_low001000-scene_threshold_high001000

name = peak_percentile
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
help = <0.0..100.0> Which percentile of the input image brightness histogram to consider as the true peak of the scene.
url = https://libplacebo.org/options/#peak_percentile001000

name = black_cutoff
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
help = <0.0..100.0> Black cutoff strength.
url = https://libplacebo.org/options/#black_cutoff001000

name = allow_delayed_peak
file = libplacebo
directory = Video/libplacebo/HDR Peak Detection
help = Allows the peak detection result to be delayed by up to a single frame, which can sometimes improve throughput, at the cost of introducing the possibility of 1-frame flickers on transitions.
default = no
option = yes
option = no

name = color_map
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Enables the use of these color mapping settings. Disabling this option does not disable color mapping, it just means "use the default options for everything".
default = yes
option = yes
option = no

name = color_map_preset
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Overrides the value of all options in this section by their default values from the given preset. high_quality also enables HDR contrast recovery.
default = none
option = none
option = default
option = high_quality

name = gamut_mapping
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Gamut mapping function to use to handle out-of-gamut colors, including colors which are out-of-gamut as a consequence of tone mapping.
default = perceptual
option = clip
option = perceptual
option = softclip
option = relative
option = saturation
option = absolute
option = desaturate
option = darken
option = highlight
option = linear

name = perceptual_deadzone
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> (Relative) chromaticity protection zone for perceptual mapping. Defaults to 0.30.

name = perceptual_strength
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> Strength of the perceptual saturation mapping component. Defaults to 0.80.

name = colorimetric_gamma
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..10.0> I vs C curve gamma to use for colorimetric clipping (relative, absolute and darken). Defaults to 1.80.

name = softclip_knee
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> Knee point to use for soft-clipping methods (perceptual, softclip). Defaults to 0.70.

name = softclip_desat
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> Desaturation strength for softclip. Defaults to 0.35.

name = lut3d_size_I
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0..1024> Gamut mapping 3DLUT size. Setting a dimension to 0 picks the default value. Defaults to 48.

name = lut3d_size_C
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0..1024> Gamut mapping 3DLUT size. Setting a dimension to 0 picks the default value. Defaults to 32.

name = lut3d_size_h
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0..1024> Gamut mapping 3DLUT size. Setting a dimension to 0 picks the default value. Defaults to 256.

name = lut3d_tricubic
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Use higher quality, but slower, tricubic interpolation for gamut mapping 3DLUTs. May substantially improve the 3DLUT gamut mapping accuracy, in particular at smaller 3DLUT sizes. Shouldn't have much effect at the default size.
default = no
option = yes
option = no

name = gamut_expansion
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = If enabled, allows the gamut mapping function to expand the gamut, in cases where the target gamut exceeds that of the source. If disabled, the source gamut will never be enlarged, even when using a gamut mapping function capable of bidirectional mapping.
default = no
option = yes
option = no

name = tone_mapping
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Tone mapping function to use for adapting between difference luminance ranges, including black point adaptation.
default = spline
option = clip
option = spline
option = st2094-40
option = st2094-10
option = bt2390
option = bt2446a
option = reinhard
option = mobius
option = hable
option = gamma
option = linear
option = linearlight

name = knee_adaptation
file = libplacebo
directory = Video/libplacebo/Color Mapping
url = https://libplacebo.org/options/#tone-mapping-constants

name = knee_minimum
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..0.5> Configures the knee point minimum as a percentage of the PQ luminance range. Provides a hard limit on the knee point chosen by knee_adaptation. Defaults to 0.1.

name = knee_maximum
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.5..1.0> Configures the knee point maximum as a percentage of the PQ luminance range. Provides a hard limit on the knee point chosen by knee_adaptation. Defaults to 0.8.

name = knee_default
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> Default knee point to use in the absence of source scene average metadata. Normally, this is ignored in favor of picking the knee point as the (relative) source scene average brightness level. Defaults to 0.4.

name = knee_offset
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.5..2.0> Knee point offset (for bt2390 only). Note that a value of 0.5 is the spec-defined default behavior, which differs from the libplacebo default of 1.0.

name = slope_tuning
file = libplacebo
directory = Video/libplacebo/Color Mapping
url = https://libplacebo.org/options/#tone-mapping-constants

name = slope_offset
file = libplacebo
directory = Video/libplacebo/Color Mapping
url = https://libplacebo.org/options/#tone-mapping-constants

name = spline_contrast
file = libplacebo
directory = Video/libplacebo/Color Mapping
url = https://libplacebo.org/options/#tone-mapping-constants

name = reinhard_contrast
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> For the reinhard function, this specifies the local contrast coefficient at the display peak. Essentially, a value of 0.5 implies that the reference white will be about half as bright as when clipping. Defaults to 0.5.

name = linear_knee
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..1.0> For legacy functions (mobius, gamma) which operate on linear light, this directly sets the corresponding knee point. Defaults to 0.3.

name = exposure
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0.0..10.0> For linear methods (linear, linearlight), this controls the linear exposure/gain applied to the image. Defaults to 1.0.

name = inverse_tone_mapping
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = If enabled, and supported by the given tone mapping function, will perform inverse tone mapping to expand the dynamic range of a signal. libplacebo is not liable for any HDR-induced eye damage.
default = no
option = yes
option = no

name = tone_map_metadata
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Data source to use when tone-mapping. Setting this to a specific value allows overriding the default metadata preference logic.
default = any
option = any
option = none
option = hdr10
option = hdr10plus
option = cie_y

name = tone_lut_size
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <0..4096> Tone mapping LUT size. Setting 0 picks the default size. Defaults to 256.

name = contrast_recovery
file = libplacebo
directory = Video/libplacebo/Color Mapping
url = https://libplacebo.org/options/#contrast_recovery0020

name = contrast_smoothness
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = <1.0..32.0> HDR contrast recovery lowpass kernel size. Increasing or decreasing this will affect the visual appearance substantially. Defaults to 3.5.

name = force_tone_mapping_lut
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Force the use of a full tone-mapping LUT even for functions that have faster pure GLSL replacements (e.g. clip, linear, saturation). This is a debug option.
default = no
option = yes
option = no

name = visualize_lut
file = libplacebo
directory = Video/libplacebo/Color Mapping
url = https://libplacebo.org/options/#debug-options
default = no
option = yes
option = no

name = visualize_lut_x0
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Controls where to draw the LUt visualization, relative to the rendered video. Defaults to 0.0.

name = visualize_lut_y0
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Controls where to draw the LUt visualization, relative to the rendered video. Defaults to 0.0.

name = visualize_lut_x1
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Controls where to draw the LUt visualization, relative to the rendered video. Defaults to 1.0.

name = visualize_lut_y1
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Controls where to draw the LUt visualization, relative to the rendered video. Defaults to 1.0.

name = visualize_hue
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Controls the rotation of the gamut 3DLUT visualization. Rotates the gamut through hue space (around the I axis), in radians. Defaults to 0.0.

name = visualize_theta
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Controls the rotation of the gamut 3DLUT visualization. The theta parameter vertically rotates the cross section (around the C axis), in radians. Defaults to 0.0.

name = show_clipping
file = libplacebo
directory = Video/libplacebo/Color Mapping
help = Graphically highlight hard-clipped pixels during tone-mapping (i.e. pixels that exceed the claimed source luminance range).
default = no
option = yes
option = no

name = screenshot-directory
file = mpv
width = 500
type = folder
directory = Video/Screenshot
help = Store screenshots in this directory. This path is joined with the filename generated by screenshot-template. If the template filename is already absolute, the directory is ignored.

name = screenshot-format
file = mpv
directory = Video/Screenshot
help = Set the image file type used for saving screenshots.
default = jpg
option = jpg
option = png

name = screenshot-tag-colorspace
file = mpv
directory = Video/Screenshot
help = Tag screenshots with the appropriate colorspace. Note that not all formats are supported.
default = yes
option = yes
option = no

name = screenshot-high-bit-depth
file = mpv
directory = Video/Screenshot
help = If possible, write screenshots with a bit depth similar to the source video. This is interesting in particular for PNG, as this sometimes triggers writing 16 bit PNGs with huge file sizes. This will also include an unused alpha channel in the resulting files if 16 bit is used.
default = yes
option = yes
option = no

name = screenshot-jpeg-source-chroma
file = mpv
directory = Video/Screenshot
help = Write JPEG files with the same chroma subsampling as the video. If disabled, the libjpeg default is used.
default = yes
option = yes
option = no

name = screenshot-template
file = mpv
directory = Video/Screenshot
help = Specify the filename template used to save screenshots. The template specifies the filename without file extension, and can contain format specifiers, which will be substituted when taking a screenshot. By default, the template is mpv-shot%n, which results in filenames like  mpv-shot0012.png for example.\n\nFind the full documentation here:
url = https://mpv.io/manual/master/#options-screenshot-template

name = screenshot-jpeg-quality
file = mpv
directory = Video/Screenshot
help = <0-100> Set the JPEG quality level. Higher means better quality. The default is 90.

name = screenshot-png-compression
file = mpv
directory = Video/Screenshot
help = <0-9> Set the PNG compression level. Higher means better compression. This will affect the file size of the written screenshot file and the time it takes to write a screenshot. Too high compression might occupy enough CPU time to interrupt playback. The default is 7.

name = screenshot-png-filter
file = mpv
directory = Video/Screenshot
help = <0-5> Set the filter applied prior to PNG compression. 0 is none, 1 is 'sub', 2 is 'up', 3 is 'average', 4 is 'Paeth', and 5 is 'mixed'. This affects the level of compression that can be achieved. For most images, 'mixed' achieves the best compression ratio, hence it is the default.

name = volume
file = mpv
directory = Audio
help = Set the startup volume. 0 means silence, 100 means no volume reduction or amplification. Negative values can be passed for compatibility, but are treated as 0. Since mpv 0.18.1, this always controls the internal mixer (aka "softvol"). Default: 100

name = remember-volume
file = mpvnet
directory = Audio
help = Save volume and mute on exit and restore it on start. (mpv.net option)
default = yes
option = yes
option = no

name = alang
file = mpv
directory = Audio
help = Specify a priority list of audio languages to use. Different container formats employ different language codes. DVDs use ISO 639-1 two-letter language codes, Matroska, MPEG-TS and NUT use ISO 639-2 three-letter language codes, while OGM uses a free-form identifier. See also aid.

name = audio-file-auto
file = mpv
directory = Audio
help = Load additional audio files matching the video filename. The parameter specifies how external audio files are matched.
default = no
option = no     Don't automatically load external audio files.
option = exact  Load the media filename with audio file extension.
option = fuzzy  Load all audio files containing media filename.
option = all    Load all audio files in the current and audio-file-paths directories.

name = audio-device
file = mpv
directory = Audio
width = 400
url = https://mpv.io/manual/master/#options-audio-device
help = <name> Use the given audio device. This consists of the audio output name, e.g. alsa, followed by /, followed by the audio output specific device name. The default value for this option is auto, which tries every audio output in preference order with the default device.\n\nTo list available audio devices in mpv.net, use the context menu:\n\nView > More > Show Audio Devices.\n\nTo change the audio device in mpv.net, also use the context menu:\n\nAudio > Audio Device

name = remember-audio-device
file = mpvnet
directory = Audio
help = Save and restore the audio device chosen in the context menu. Default: yes
default = yes
option = yes
option = no

name = slang
file = mpv
directory = Subtitle
help = Specify a priority list of subtitle languages to use. Different container formats employ different language codes. DVDs use ISO 639-1 two letter language codes, Matroska uses ISO 639-2 three letter language codes while OGM uses a free-form identifier. See also sid.

name = sub-auto
file = mpv
directory = Subtitle
help = Load additional subtitle files matching the video filename. The parameter specifies how external subtitle files are matched. exact is enabled by default.
default = exact
option = no     Don't automatically load external subtitle files.
option = exact  Load the media filename with subtitle file extension.
option = fuzzy  Load all subs containing media filename.
option = all    Load all subs in the current and sub-file-paths directories.

name = sub-font
file = mpv
directory = Subtitle
help = Specify font to use for subtitles that do not themselves specify a particular font. The default is  sans-serif.

name = sub-font-size
file = mpv
directory = Subtitle
help = Specify the sub font size. The unit is the size in scaled pixels at a window height of 720. The actual pixel size is scaled with the window height: if the window height is larger or smaller than 720, the actual size of the text increases or decreases as well. Default: 55

name = sub-color
file = mpv
type = color
directory = Subtitle
url = https://mpv.io/manual/master/#options-sub-color
help = Specify the color used for unstyled text subtitles.\n\nA usage description and examples can be found in the manual at:

name = sub-border-color
file = mpv
type = color
directory = Subtitle
help = See sub-color. Color used for the sub font border. Ignored when sub-back-color is specified (or more exactly: when that option is not set to completely transparent).

name = sub-back-color
file = mpv
type = color
directory = Subtitle
help = See sub-color. Color used for sub text background. You can use sub-shadow-offset to change its size relative to the text.

name = title
file = mpv
directory = Window
width = 400
help = Set the window title. This is used for the video window, and if possible, also sets the audio stream title. Properties are expanded. Warning! There is a danger of this causing significant CPU usage, depending on the properties used.

name = fullscreen
file = mpv
directory = Window
help = Start the player in fullscreen mode.
default = no
option = yes
option = no

name = border
file = mpv
directory = Window
help = Show window with decoration (titlebar, border).
default = yes
option = yes
option = no

name = title-bar
file = mpv
directory = Window
help = Set this to no in order to hide the window title bar.
default = yes
option = yes
option = no

name = screen
file = mpv
directory = Window
help = <0-32> In multi-monitor configurations (i.e. a single desktop that spans across multiple displays), this option tells mpv which screen to display the video on.

name = taskbar-progress
file = mpv
directory = Window
help = Show progress in taskbar.
default = yes
option = yes
option = no

name = osd-playing-msg
file = mpv
width = 300
directory = Window
help = Show a message on OSD when playback starts. The string is expanded for properties, e.g. osd-playing-msg='file: ${filename}' will show the message file: followed by a space and the currently played filename. For more information visit:
url = https://mpv.io/manual/master/#property-expansion

name = osd-font-size
file = mpv
directory = Window
help = Specify the OSD font size. See sub-font-size for details. Default: 55

name = osd-duration
file = mpv
directory = Window
help = Set the duration of the OSD messages in ms. Default: 1000

name = osd-scale-by-window
file = mpv
directory = Window
help = Whether to scale the OSD with the window size. If this is disabled, osd-font-size and other OSD options that use scaled pixels are always in actual pixels. The effect is that changing the window size won't change the OSD font size.
default = yes
option = yes
option = no

name = autofit
file = mpv
directory = Window
help = <int> Initial window height in percent. Default: 60

name = autofit-smaller
file = mpv
directory = Window
help = <int> Minimum window height in percent. Default: 10

name = autofit-larger
file = mpv
directory = Window
help = <int> Maximum window height in percent. Default: 80

name = autofit-image
file = mpvnet
directory = Window
help = <int> Initial window height in percent for image files. Default: 80

name = autofit-audio
file = mpvnet
directory = Window
help = <int> Initial window height in percent for audio files. Default: 70

name = geometry
file = mpv
directory = Window
help = <x:y> Initial window location in percent. Default: 50:50 (centered)\n\nRequires Windows 11, on Windows 10 it works slightly incorrect due to invisible borders.\n\nx=0 docks the window to the left side.\nx=100 docks the window to the right side.\n\ny=0 docks the window to the top side.\ny=100 docks the window to the bottom side.

name = start-size
file = mpvnet
directory = Window
help = Setting to remember the window size. (mpv.net option)
default = height-session
option = width-session   Window width is remembered in the current session
option = width-always    Window width is always remembered
option = height-session  Window height is remembered in the current session
option = height-always   Window height is always remembered
option = video           Window size is set to video resolution
option = session         Window size is remembered in the current session
option = always          Window size is always remembered

name = keepaspect-window
file = mpv
directory = Window
help = keepaspect-window will lock the window size to the video aspect. Default: yes
default = yes
option = yes
option = no

name = minimum-aspect-ratio
file = mpvnet
directory = Window
help = <float> Minimum aspect ratio of the window. Useful to force a wider window and therefore a larger OSC. (mpv.net option)

name = minimum-aspect-ratio-audio
file = mpvnet
directory = Window
help = Same as minimum-aspect-ratio but used for audio files.

name = remember-window-position
file = mpvnet
directory = Window
help = Save the window position on exit. (mpv.net option)
default = no
option = yes
option = no

name = snap-window
file = mpv
directory = Window
help = Snap the player window to screen edges.
default = no
option = yes
option = no

name = window-maximized
file = mpv
directory = Window
help = Start with a maximized window.
default = no
option = yes
option = no

name = keep-open
file = mpv
directory = Playback
default = no
option = yes     If the current file ends, go to the next file, keep the last file open.
option = no      If the current file ends, go to the next file. If idle is set to no, the player exits after the last file.
option = always  Playback will never automatically advance to the next file.

name = keep-open-pause
file = mpv
directory = Playback
help = If set to no, instead of pausing when keep-open is active, just stop at end of file and continue playing forward when you seek backwards until end where it stops again.
default = yes
option = yes
option = no

name = idle
file = mpv
directory = Playback
help = If set to no and keep-open is also set to no, the player exits after the last file ends.
default = yes
option = yes
option = no
option = once

name = loop-file
file = mpv
directory = Playback
help = <N|inf|no> Loop a single file N times. inf means forever, no means normal playback.\n\nThe difference to loop-playlist is that this doesn't loop the playlist, just the file itself. If the playlist contains only a single file, the difference between the two option is that this option performs a seek on loop, instead of reloading the file. loop is an alias for this option.

name = save-position-on-quit
file = mpv
directory = Playback
help = Always save the current playback position on quit. When this file is played again later, the player will seek to the old playback position on start. This does not happen if playback of a file is stopped in any other way than quitting. For example, going to the next file in the playlist will not save the position, and start playback at beginning the next time the file is played.\n\nThis behavior is disabled by default, but is always available when quitting the player with Shift+Q.
default = no
option = yes
option = no

name = watch-later-options
file = mpv
directory = Playback
help = The options that are saved in "watch later" files if they have been changed since when mpv started. These values will be restored the next time the files are played. This is a string list option. For more information visit:
url = https://mpv.io/manual/master/#options-watch-later-options

name = hr-seek
file = mpv
directory = Playback
help = Select when to use precise seeks that are not limited to keyframes. Such seeks require decoding video from the previous keyframe up to the target position and so can take some time depending on decoding performance. For some video formats, precise seeks are disabled. This option selects the default choice to use for seeks; it is possible to explicitly override that default in the definition of key bindings and in input commands.
default = absolute
option = yes       Use precise seeks whenever possible.
option = no         Never use precise seeks.
option = absolute  Use precise seeks if the seek is to an absolute position in the file, such as a chapter seek, but not for relative seeks like the default behavior of arrow keys.
option = always    Same as yes (for compatibility).

name = track-auto-selection
file = mpv
directory = Playback
help = Enable the default track auto-selection. Enabling this will make the player select streams according to aid, alang, and others. If it is disabled, no tracks are selected. In addition, the player will not exit if no tracks are selected, and wait instead (this wait mode is similar to pausing, but the pause option is not set).\n\nThis is useful with lavfi-complex: you can start playback in this mode, and then set select tracks at runtime by setting the filter graph. Note that if lavfi-complex is set before playback is started, the referenced tracks are always selected.
default = yes
option = yes
option = no

name = loop-playlist
file = mpv
directory = Playback
help = <N|inf|force|no> Loops playback N times. A value of 1 plays it one time (default), 2 two times, etc. inf means forever. no is the same as 1 and disables looping. If several files are specified on command line, the entire playlist is looped. The force mode is like inf, but does not skip playlist entries which have been marked as failing. This means the player might waste CPU time trying to loop a file that doesn't exist. But it might be useful for playing webradios under very bad network conditions.

name = auto-load-folder
file = mpvnet
directory = Playback
help = For single files automatically load the entire directory into the playlist. (mpv.net option)
default = yes
option = yes
option = no

name = reset-on-next-file
file = mpv
directory = Program Behavior
help = Normally, mpv will try to keep all settings when playing the next file on the playlist, even if they were changed by the user during playback. This can be changed with this option. It accepts a list of options, and mpv will reset the value of these options on playback start to the initial value.
width = 400

name = input-ar-delay
file = mpv
directory = Input
help = Delay in milliseconds before we start to autorepeat a key (0 to disable).

name = input-ar-rate
file = mpv
directory = Input
help = Number of key presses to generate per second on autorepeat.

name = input-ipc-server
file = mpv
directory = Input
help = Enable the IPC support and create the listening socket at the given path.
url = https://mpv.io/manual/master/#options-input-ipc-server

name = language
file = mpvnet
directory = Appearance
help = User interface display language.\nmpv.net must be restarted after a change.
default = system
option = system
option = english
option = chinese-china
option = german
option = japanese
option = korean
option = russian
option = turkish

name = dark-mode
file = mpvnet
directory = Appearance
help = Changes between a light and dark theme.\nmpv.net must be restarted after a change.\nmpv.net specific option.
default = always
option = always
option = system  Available on Windows 10 or higher
option = never

name = dark-theme
file = mpvnet
directory = Appearance
url = https://github.com/mpvnet-player/mpv.net/blob/main/docs/manual.md#color-theme
help = Color theme used in dark mode.\nmpv.net must be restarted after a change.\nmpv.net specific option. Default: dark

name = light-theme
file = mpvnet
directory = Appearance
url = https://github.com/mpvnet-player/mpv.net/blob/main/docs/manual.md#color-theme
help = Color theme used in light mode.\nmpv.net must be restarted after a change.\nmpv.net specific option. Default: light

name = cache
file = mpv
directory = Cache
help = Decide whether to use network cache settings.
url = https://mpv.io/manual/master/#options-cache
default = auto
option = yes
option = no
option = auto

name = demuxer-max-bytes
file = mpv
directory = Demuxer
help = <bytesize> Controls how much the demuxer is allowed to buffer ahead.\nSuffixes such as KiB and MiB are supported.
url = https://mpv.io/manual/master/#options-demuxer-max-bytes
